require "barman/version"

module Barman
  autoload :CLI, "barman/cli"
  autoload :ProjectGenerator, "barman/project_generator"
  autoload :ProjectGenerators, "barman/project_generators"

  module_function

  def barman_path
    File.dirname(File.expand_path(__FILE__))
  end

  def templates_path
    File.join(barman_path, "..", "templates")
  end
end
